/*
 * Created on 2004-12-05
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2004
 */
package pl.zalewski.mikolaj.symbdev.core.mmpmodel;

/**
 * @author mikolaj
 */
public interface ICompilerOptions {
    public static final String COMP_VISUALC="MSVC";
    public static final String COMP_CODEWARRIOR="CW";
    public static final String COMP_GCC="GCC";
    
    public class CompilerDefinition
    {
        CompilerDefinition(String id, String name, String longName)
        {
            this.id=id;
            this.name=name;
            this.longName=longName;
        }
        
        public String id;
        public String name;
        public String longName;
    }
    
    public static final CompilerDefinition[] compilersTab=new CompilerDefinition[]{
            new CompilerDefinition(COMP_VISUALC, "Visual C++", "Microsoft Visual C++"), 
            new CompilerDefinition(COMP_CODEWARRIOR, "CodeWarrior", "CodeWarrior C++ Compiler"), 
            new CompilerDefinition(COMP_GCC, "GNU C++", "GNU C++ (e.g. during ARM native builds)") 
    };
    
    public String getCompiler();
    public String getOptions();
}
